<?xml version="1.0"?>

<!--
// *** Copyright (c)2002 Jim Massey. All rights reserved  ***********
// *** massey@stlouis-shopper.com ************
// *** No Warranty - certified to work with nothing ***
// *** developed to work with mozilla kiosk **** 
-->

<?xml-stylesheet href="chrome://kiosk/skin" type="text/css"?>

<!DOCTYPE window [
<!ENTITY % kioskDTD SYSTEM "chrome://kiosk/locale/kiosk.dtd">
%kioskDTD;
]>

<window
	
	id="main-window"
	debug="false"
	xmlns:html="http://www.w3.org/TR/REC-html40"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
	windowtype="navigator:browser"
	title= "&window.title;"
	onload="new_page('http://stlouis-shopper.com');"
	height="600" width="700">

<script type="text/javascript" src="./xul-test10.js"></script>
<broadcaster id="onLoad"/>
 <vbox id="appcontent" flex="100%">
 <hbox id="tool-bar">
 <box id="nav-bar" flex="100%">
 <menubar id="nav-buttons">
   <menu label="Base Sites" tooltiptext="&base.menu;">
    <menupopup>
     <menuitem label="Slash Dot" onclick="new_page('http://www.slashdot.org/');"/>
     <menuitem label="MozDev" onclick="new_page('http://www.mozdev.org/');"/>
     <menuitem label="GNU Org" onclick="new_page('http://www.gnu.org/');"/>
     <menuitem label="Perl.com" onclick="new_page('http://www.perl.com/');"/>
     <menuitem label="JTJ ON" onclick="new_page('http://agnes/~jtjsoftware/jtj-on/');"/>
     <menuitem label="Maintenance" onclick="new_page('http://agnes/dbmaintenance/');"/>
     <menuitem label="WebDesk" onclick="new_page('http://agnes/cgi-bin/pim/calander_edit3.pl');"/>
     <menuitem label="JTJ Software" onclick="new_page('http://agnes/~jtjsoftware/');"/>
    </menupopup>
   </menu> 
   <image id="flip-btn" onclick="testing();"
	tooltiptext="&flip.btn;"/>
   <image id="forward-btn" onclick="history_forward();" 
	tooltiptext="&history.forward;"/>
   <image id="back-btn" onclick="history_back();"
	tooltiptext="&history.back;"/>
   <image id="quit-btn" onclick="shut_down();"
	tooltiptext="&quit.btn;"/>
 </menubar>
 </box>
 <box id="throbber-bar">
	<image id="throbber" tooltiptext="&throbber.msg;"/>
 </box>
 </hbox>
   <box id="browser1" flex="1">
     <browser type="content-primary" src="http://stlouis-shopper.com" id="content" name="content" flex="1" onclick="Remember_last_page();">
     </browser>
   </box>
 <box id="progress_bar">
 <progressmeter id="progress" class="meter" mode="normal" value="0%"
	 tooltiptext="&progress.meter;">
   <observes element="onLoad" attribute="load_meter" mode="undetermined"/>
  </progressmeter>
  <label crop="end" id="progress_text" value="Should be next to the progress meter" flex="2"/>
 </box>
 </vbox>
</window>
